Subject: [Cbor] John Scudder's No Objection on draft-ietf-cbor-tags-oid-06: (with COMMENT)

From: John Scudder via Datatracker <[email-masked]>
Date: Wed, 07 Apr 2021 18:49:49 -0700

John Scudder has entered the following ballot position for
draft-ietf-cbor-tags-oid-06: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-cbor-tags-oid/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

1. Section 2:

   Since the semantics of absolute and relative object identifiers
   differ, this specification defines two tags, collectively called the
   "OID tags" here:

Sure looks like three tags to me.

2. Section 5:

Since this is the first place you refer to CDDL, put your reference to RFC 8610 here instead of §6?

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 8 Apr 2021 08:13:49 +0200

Hi John,

> On 2021-04-08, at 03:49, John Scudder via Datatracker <[email-masked]> wrote:
> 

Indeed.  Ben Kaduk (whose comments I’m otherwise still processing) had a PR for this, which I merged.

> Since this is the first place you refer to CDDL, put your reference to RFC 8610 here instead of §6?

Fixed (including expansion of abbreviation): https://github.com/cbor-wg/cbor-oid/commit/2d39560

Thank you!

Grüße, Carsten